@EndUserText.label: '库存报表-销售库存'
@ObjectModel.query.implementedBy: 'ABAP:ZCL_MATERIAL_STOCK_JB'
define custom entity ZCV_JBKC
{
      @Search         : { defaultSearchElement: true, ranking: #HIGH, fuzzinessThreshold: 0.8 }
      @UI.lineItem    : [ { position: 10, label: '物料编码'} ]
      @Consumption.valueHelpDefinition: [{ entity : {name: 'I_ProductstdVH', element: 'Product'  } }]
  key Product         : matnr;
      @Search.defaultSearchElement: true
      @UI.lineItem    : [ { position: 30, label: '工厂'} ]
      @Consumption.valueHelpDefinition: [{ entity:  { name:    'I_PlantstdVH', element: 'Plant' } }]
  key  Plant           : werks_d;
  @UI.lineItem    : [ { position: 40, label: '库存地点'} ]
  key  StorageLocation           : abap.char(4);
      @UI.lineItem    : [ { position: 20, label: '物料描述'} ]
      maktx           : abap.char(40);
      @UI.lineItem    : [ { position: 50, label: '非限制数量'} ]
      fxzQuantity : abap.dec(17,3);
      @UI.lineItem    : [ { position: 60, label: '质量检验数量'} ]
      zljyQuantity : abap.dec(17,3);
      @UI.lineItem    : [ { position: 70, label: '客户库存数量'} ]
      khkcQuantity : abap.dec(17,3);
      @UI.lineItem    : [ { position: 80, label: '客户名称'} ]
      CustomerName :  abap.char(70);
      @UI.lineItem    : [ { position: 90, label: '委外库存数量'} ]
      wwkcQuantity : abap.dec(17,3);
      @UI.lineItem    : [ { position: 100, label: '委外名称'} ]
      SupplierName :  abap.char(80);
      @UI.lineItem    : [ { position: 110, label: '单位'} ]
      MaterialBaseUnit : meins;
}
//as select from I_ProductStorageLocationBasic as a
//association [1] to I_ProductDescription as b
//on b.Language = '1' and $projection.Product = b.Product
//{
//    key a.Product,
//    key a.Plant,
//    key a.StorageLocation,
//    b.ProductDescription,
//    /* Associations */
//    _Plant,
//    _Product,
//    _Stock
//}
