//@AccessControl.authorizationCheck: #NOT_REQUIRED
@EndUserText.label: '库存报表-销售库存'
@ObjectModel.query.implementedBy: 'ABAP:ZCL_MATERIAL_STOCK_SX'
define custom entity ZCV_XSKC
//  with parameters
//       matnr : matnr,
//       plant : werks_d
{
      @Search           : { defaultSearchElement: true, ranking: #HIGH, fuzzinessThreshold: 0.8 }
      @UI.lineItem      : [ { position: 10, label: '物料编码'} ]
      @Consumption.valueHelpDefinition: [{ entity : {name: 'I_ProductstdVH', element: 'Product'  } }]
  key Product           : matnr;
      @UI.lineItem      : [ { position: 40, label: '项目描述'} ]
  key SoldToPartyName   : abap.char(40);
      @Search.defaultSearchElement: true
      @UI.lineItem      : [ { position: 30, label: '工厂'} ]
      @Consumption.valueHelpDefinition: [{ entity:  { name:    'I_PlantstdVH', element: 'Plant' } }]
      Plant             : werks_d;
      @UI.lineItem      : [ { position: 20, label: '物料描述'} ]
      maktx             : abap.char(40);

      @Semantics.quantity.unitOfMeasure: 'OrderQuantityUnit'
      OrderQuantity     : abap.dec(15,3);
      @Semantics.quantity.unitOfMeasure: 'OrderQuantityUnit'
      DNQuantity        : abap.dec(15,3);
      @UI.lineItem      : [ { position: 50, label: '未发货数量'} ]
//      @Semantics.quantity.unitOfMeasure: 'OrderQuantityUnit'
      WFHQuantity       : abap.dec(15,3);
      @UI.lineItem      : [ { position: 60, label: '单位'} ]
      OrderQuantityUnit : meins;
}
//where ( P_EXCHANGERATETYPE = 'M' and
//   P_DISPLAYCURRENCY = 'CNY' )
