@EndUserText.label: '库存多维度汇总表'
@ObjectModel.query.implementedBy: 'ABAP:ZCL_MATERIAL_STOCK_SUM'
define custom entity ZCV_KCBB_SUM
{
      @Search.defaultSearchElement: true
      @UI.lineItem     : [ { position: 10, label: '工厂'} ]
      @Consumption.valueHelpDefinition: [{ entity:  { name:    'I_PlantstdVH', element: 'Plant' } }]
  key Plant            : werks_d;
      @Search          : { defaultSearchElement: true, ranking: #HIGH, fuzzinessThreshold: 0.8 }
      @UI.lineItem     : [ { position: 20, label: '物料编码'} ]
      @Consumption.valueHelpDefinition: [{ entity : {name: 'I_ProductstdVH', element: 'Product'  } }]
  key Product          : matnr;
      @UI.lineItem     : [ { label: '客户编号'} ]
      @Consumption.valueHelpDefinition: [{ entity : {name: 'I_Customer_VH', element: 'Customer'  } }]
  key SoldToParty      : zdxm;
      @UI.lineItem     : [ { position: 30, label: '物料描述'} ]
      maktx            : abap.char(40);
      //      @UI.lineItem      : [ { position: 40, label: '客户描述'} ]
      //      SoldToPartyName   : abap.char(40);
      @UI.lineItem     : [ { position: 40, label: '项目总需求'} ]
      xmzQuantity      : abap.dec(17,3);
      @UI.lineItem     : [ { position: 50, label: '成品库存'} ]
      cpQuantity       : abap.dec(17,3);
      @UI.lineItem     : [ { position: 60, label: '未翻新库存'} ]
      wfxQuantity      : abap.dec(17,3);
      @UI.lineItem     : [ { position: 70, label: '质检库存'} ]
      zjQuantity       : abap.dec(17,3);
      @UI.lineItem     : [ { position: 90, label: '生产供应'} ]
      scQuantity       : abap.dec(17,3);
      @UI.lineItem     : [ { position: 100, label: '采购供应'} ]
      cgQuantity       : abap.dec(17,3);
      @UI.lineItem     : [ { position: 110, label: '客户库存'} ]
      khQuantity       : abap.dec(17,3);
      @UI.lineItem     : [ { position: 120, label: '委外库存'} ]
      wwQuantity       : abap.dec(17,3);
      @UI.lineItem     : [ { position: 130, label: '供需差额'} ]
      gxQuantity       : abap.dec(17,3);
      @UI.lineItem     : [ { position: 140, label: '单位'} ]
      MaterialBaseUnit : meins;
}
